set term ^ ;
create procedure SP_RECORDCOUNT01
as
declare variable cnt integer;
begin
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('EPSG_Canada',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('activity',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('agetsma',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('altcat',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('anmethod',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('appliesto',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('authors',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('category',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('cfeat',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('columndoc',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('commodity',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('component',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('compstage',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('concentrat',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('contctry',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('ctryhost',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('ctryrock',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('datatype',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('datum',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dbcode',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dbversion',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('depclan',0);
  
  for select count(*) from EPSG_Canada into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'EPSG_Canada';
  for select count(*) from activity into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'activity';
  for select count(*) from agetsma into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'agetsma';
  for select count(*) from altcat into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'altcat';
  for select count(*) from anmethod into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'anmethod';
  for select count(*) from appliesto into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'appliesto';
  for select count(*) from authors into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'authors';
  for select count(*) from category into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'category';
  for select count(*) from cfeat into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'cfeat';
  for select count(*) from columndoc into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'columndoc';
  for select count(*) from commodity into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'commodity';
  for select count(*) from component into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'component';
  for select count(*) from compstage into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'compstage';
  for select count(*) from concentrat into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'concentrat';
  for select count(*) from contctry into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'contctry';
  for select count(*) from ctryhost into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'ctryhost';
  for select count(*) from ctryrock into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'ctryrock';
  for select count(*) from datatype into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'datatype';
  for select count(*) from datum into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'datum';
  for select count(*) from dbcode into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dbcode';
  for select count(*) from dbversion into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dbversion';
  for select count(*) from depclan into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'depclan';
  
end^
set term ; ^

   