set term ^ ;
create procedure SP_RECORDCOUNT02
as
declare variable cnt integer;
begin
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('depstat',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('deptype',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dfregime',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgagets',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgaltmin',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgaltsig',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgcfeat',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgcftmin',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgclith',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgcom',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgcomment',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgcproto',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgctry',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgctryrx',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgdeptyp',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dgdigitized',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dggeol',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dggeosig',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dghform',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dghlith',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('dghostnm',0);

  for select count(*) from depstat into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'depstat';
  for select count(*) from deptype into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'deptype';
  for select count(*) from dfregime into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dfregime';
  for select count(*) from dgagets into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgagets';
  for select count(*) from dgaltmin into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgaltmin';
  for select count(*) from dgaltsig into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgaltsig';
  for select count(*) from dgcfeat into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgcfeat';
  for select count(*) from dgcftmin into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgcftmin';
  for select count(*) from dgclith into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgclith';
  for select count(*) from dgcom into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgcom';
  for select count(*) from dgcomment into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgcomment';
  for select count(*) from dgcproto into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgcproto';
  for select count(*) from dgctry into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgctry';
  for select count(*) from dgctryrx into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgctryrx';
  for select count(*) from dgdeptyp into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgdeptyp';
  for select count(*) from dgdigitized into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dgdigitized';
  for select count(*) from dggeol into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dggeol';
  for select count(*) from dggeosig into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dggeosig';
  for select count(*) from dghform into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dghform';
  for select count(*) from dghlith into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dghlith';
  for select count(*) from dghostnm into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'dghostnm';
  
end^
set term ; ^

   